#!/usr/bin/evn python
import pkg_resources
pkg_resources.require("TurboGears")

from turbogears import update_config, start_server, scheduler
import cherrypy
cherrypy.lowercase_api = True
from os.path import *
import sys


# first look on the command line for a desired config file,
# if it's not on the command line, then
# look for setup.py in this directory. If it's not there, this script is
# probably installed
if len(sys.argv) > 1:
    update_config(configfile=sys.argv[1], 
        modulename="oilarchive.config")
elif exists(join(dirname(__file__), "setup.py")):
    update_config(configfile="dev.cfg",modulename="oilarchive.config")
else:
    update_config(configfile="prod.cfg",modulename="oilarchive.config")

from oilarchive.controllers import Root
from oilarchive import cronjobs

scheduler.add_interval_task(
  action=cronjobs.runCron, taskname='cronoil', 
  initialdelay=10, interval=60,
  processmethod=scheduler.method.forked)
  
start_server(Root())
